# class Racc::Shift

### Attributes

goto_state[R]

### Public Class Methods

new(goto) click to toggle source

    # File lib/racc/state.rb, line 881
    def initialize(goto)
      @goto_state = goto
    end

### Public Instance Methods

goto_id() click to toggle source

    # File lib/racc/state.rb, line 887
    def goto_id
      @goto_state.ident
    end

inspect() click to toggle source

    # File lib/racc/state.rb, line 891
    def inspect
      "<shift #{@goto_state.ident}>"
    end